6.0.0-git
2019-05-25

[#14145] [turba] Unable to find __owner field. Cannot delete.
Summary [turba] Unable to find __owner field. Cannot delete.
Queue Turba
Queue Version 4.2.10
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester guenter.bartsch (at) vista-rasch (dot) com
Created 2015-10-26 (1307 days ago)
Due
Updated 2015-10-28 (1305 days ago)
Assigned 2015-10-26 (1307 days ago)
Resolved 2015-10-28 (1305 days ago)
Milestone
Patch Yes

History
2015-10-28 12:30:38 Michael Rubinsky Comment #4
State ⇒ Resolved
Reply to this comment
Committed, thanks!
2015-10-28 12:30:14 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit d01674626f9b44db6f3e915d52a6b40cbd892b74
Author: Guenter Bartsch <guenter.bartsch@vista-rasch.com>
Date:   Wed Oct 28 08:24:48 2015 -0400

     Bug #14145: Fix deleteAll for Sql driver.

     Signed-off-by: Michael J Rubinsky <mrubinsk@horde.org>

  turba/lib/Driver/Sql.php |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/d01674626f9b44db6f3e915d52a6b40cbd892b74
2015-10-28 12:27:18 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit c4b9c7891741b887297c465fb4171689cf4eeefd
Author: Guenter Bartsch <guenter.bartsch@vista-rasch.com>
Date:   Wed Oct 28 08:24:48 2015 -0400

     Bug #14145: Fix deleteAll for Sql driver.

     Signed-off-by: Michael J Rubinsky <mrubinsk@horde.org>

  turba/lib/Driver/Sql.php |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/c4b9c7891741b887297c465fb4171689cf4eeefd
2015-10-26 18:00:24 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Assigned
 
2015-10-26 17:51:27 guenter (dot) bartsch (at) vista-rasch (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ [turba] Unable to find __owner field. Cannot delete.
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ Yes
Reply to this comment
Cannot delete address books in turba: "Unable to find __owner field. 
Cannot delete."

Seems to be a bug in Turba's Sql driver. This patch fixes the problem:

--- Sql.php.1        2015-10-26 18:42:09.840500217 +0100
+++ Sql.php        2015-10-26 18:46:01.602802193 +0100
@@ -503,10 +503,10 @@
              ? array($GLOBALS['registry']->getAuth())
              : array($sourceName);

-        if (empty($this->_params['map']['__owner'])) {
+        if (empty($this->map['__owner'])) {
              throw new Turba_Exception(_("Unable to find __owner 
field. Cannot delete."));
          }
-        $owner_field = $this->_params['map']['__owner'];
+        $owner_field = $this->map['__owner'];

          /* Need a list of UIDs so we can notify History */
          $query = sprintf('SELECT %s FROM %s WHERE %s = ?',

Saved Queries